Supported browsers

Contributors netapp-soumikd netapp-asubhas

SnapCenter Software can be used on multiple browsers.

  • Chrome

    If you are using v66, you might fail to launch SnapCenter GUI.

  • Internet Explorer

    SnapCenter UI does not load properly if you are using IE 10 or earlier versions. You should upgrade to IE 11.

    • Only default-level security is supported.

      Making changes to Internet Explorer security settings results in significant browser display issues.

    • Internet Explorer compatibility view must be disabled.

  • Microsoft Edge

For the latest information about supported versions, see NetApp Interoperability Matrix Tool.